Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.hp.hpl.jena.util.iterator
Class UniqueExtendedIterator

    java.lang.Object
      com.hp.hpl.jena.util.iterator.NiceIterator
          com.hp.hpl.jena.util.iterator.WrappedIterator
              com.hp.hpl.jena.util.iterator.UniqueExtendedIterator

All Implemented Interfaces:
  ClosableIterator, ExtendedIterator, java.util.Iterator

    public class UniqueExtendedIterator

extends WrappedIterator

A variant on the closable/extended iterator that filters out duplicate values. There is one complication that the value which filtering is done on might not be the actual value to be returned by the iterator.

Version:
  $Revision: 1.16 $ on $Date: 2008/01/02 12:07:36 $
Author:
  Dave Reynolds

Constructor Summary
`UniqueExtendedIterator(java.util.Iterator underlying)` Constructor.

Method Summary
`static ExtendedIterator` | `create(java.util.Iterator it)` Factory method for generating an iterator that is guaranteed only to return one instance of every result from the wrapped iterator `it`.
`boolean` | `hasNext()` hasNext: defer to the base iterator
`java.lang.Object` | `next()` next: defer to the base iterator

Methods inherited from class com.hp.hpl.jena.util.iterator.WrappedIterator
`close, close, createNoRemove, forTestingOnly_getBase, remove`

Methods inherited from class com.hp.hpl.jena.util.iterator.NiceIterator
`andThen, andThen, asList, asSet, emptyIterator, filterDrop, filterKeep, mapWith, removeNext, toList, toSet`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UniqueExtendedIterator

    public UniqueExtendedIterator(java.util.Iterator underlying)

  Constructor. Note the use of `create(java.util.Iterator)` as reliable means of creating a unique iterator without double-wrapping iterators that are already unique iterators.

Method Detail

### create

    public static ExtendedIterator create(java.util.Iterator it)

  Factory method for generating an iterator that is guaranteed only to return one instance of every result from the wrapped iterator `it`.

  Parameters:
    `it` - An iterator to wrap
  Returns:
    A iterator that returns the elements of the wrapped iterator exactly once. If `it` is already a unique extended iteator, it is not further wrapped.

### hasNext

    public boolean hasNext()

  Description copied from class: `WrappedIterator`
  hasNext: defer to the base iterator

  Specified by:
    `hasNext` in interface `java.util.Iterator`
  Overrides:
    `hasNext` in class `WrappedIterator`
  See Also:
    `Iterator.hasNext()`

### next

    public java.lang.Object next()

  Description copied from class: `WrappedIterator`
  next: defer to the base iterator

  Specified by:
    `next` in interface `java.util.Iterator`
  Overrides:
    `next` in class `WrappedIterator`
  See Also:
    `Iterator.next()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2001, 2002, 2003, 2004, 2005, 2006, 2007, 2008 Hewlett-Packard Development Company, LP